aboutsummaryrefslogtreecommitdiffstats
path: root/bootscripts/contrib/lsb-v3/init.d/network
diff options
context:
space:
mode:
authorBruce Dubbs <bdubbs@linuxfromscratch.org>2008-06-03 21:51:14 +0000
committerBruce Dubbs <bdubbs@linuxfromscratch.org>2008-06-03 21:51:14 +0000
commit1c4800743d22d675ccfa48364d8aa558e8b7407c (patch)
treeca4254cbe5dd5adb0ed8af1f87c26bc569403164 /bootscripts/contrib/lsb-v3/init.d/network
parent9faa3e27afb932894ace74854fbb76631022446b (diff)
Moved bootscripts and udev-config to BOOK
Updated Makefile to automatically generate bootscript and udev-config tarballs Updated licesnse to be the same as BLFS git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@8548 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689
Diffstat (limited to 'bootscripts/contrib/lsb-v3/init.d/network')
-rw-r--r--bootscripts/contrib/lsb-v3/init.d/network74
1 files changed, 74 insertions, 0 deletions
diff --git a/bootscripts/contrib/lsb-v3/init.d/network b/bootscripts/contrib/lsb-v3/init.d/network
new file mode 100644
index 000000000..799f1861c
--- /dev/null
+++ b/bootscripts/contrib/lsb-v3/init.d/network
@@ -0,0 +1,74 @@
+#!/bin/sh
+# Begin /etc/init.d/network
+
+### BEGIN INIT INFO
+# Provides: $network
+# Required-Start: $syslog
+# Should-Start:
+# Required-Stop:
+# Should-Stop: $remote_fs
+# Default-Start: 3 4 5
+# Default-Stop: 0 1 2 6
+# Short-Description: Starts and configures network interfaces.
+# Description: Starts and configures network interfaces.
+# X-LFS-Default-Start: S20
+# X-LFS-Default-Stop: K80
+# X-LFS-Provided-By: LFS
+### END INIT INFO
+
+. /lib/lsb/init-functions
+. /etc/sysconfig/network
+
+case "${1}" in
+ start)
+ # Start all network interfaces
+ for file in ${NETWORK_DEVICES}/ifconfig.*
+ do
+ interface=${file##*/ifconfig.}
+
+ # skip if $file is * (because nothing was found)
+ if [ "${interface}" = "*" ]
+ then
+ continue
+ fi
+
+ IN_BOOT=1 ${NETWORK_DEVICES}/ifup ${interface}
+ done
+ ;;
+
+ stop)
+ # Reverse list
+ FILES=""
+ for file in ${NETWORK_DEVICES}/ifconfig.*
+ do
+ FILES="${file} ${FILES}"
+ done
+
+ # Stop all network interfaces
+ for file in ${FILES}
+ do
+ interface=${file##*/ifconfig.}
+
+ # skip if $file is * (because nothing was found)
+ if [ "${interface}" = "*" ]
+ then
+ continue
+ fi
+
+ IN_BOOT=1 ${NETWORK_DEVICES}/ifdown ${interface}
+ done
+ ;;
+
+ restart)
+ ${0} stop
+ sleep 1
+ ${0} start
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+# End /etc/init.d/network